# $Id: smeserver-nag.spec,v 1.1 2020/12/20 04:59:56 brianr Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

Summary: SME Server specific Nag configuration and templates.
%define name smeserver-nag
Name: %{name}
%define version 2.2
%define release 11
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.xz
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.2
Requires: smeserver-base >= 4.15.1
Requires: smeserver-apache >= 1.1.0-18
Requires: smeserver-lib >= 1.15.1-16
Requires: nag-h3 >= 2.2
BuildRequires: smeserver-devtools >= 1.13.1-03
AutoReqProv: no
Obsoletes: dcb-e-smith-nag

%changelog
* Sun Sep 08 2024 fix-e-smith-pkg.sh by Trevor Batley <trevor@batley.id.au> 2.2-11.sme
- Fix e-smith references in smeserver-nag [SME: 12732]

* Sat Sep 07 2024 cvs2git.sh aka Brian Read <brianr@koozali.org> 2.2-10.sme
- Roll up patches and move to git repo [SME: 12338]

* Sat Sep 07 2024 BogusDateBot
- Eliminated rpmbuild "bogus date" warnings due to inconsistent weekday,
  by assuming the date is correct and changing the weekday.

* Wed Oct 18 2017 Jean-Philipe Pialasse <tests@pialasse.com> 2.2-9.sme
- import to SME9 [SME: 10441]

* Sat Nov 06 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-8
- Updated templates to reflect Nag 2.3.6

* Mon May 10 2010 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-7
- Updated templates to reflect Nag 2.3.5

* Mon Dec 28 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-6          
- Updated templates to reflect Nag 2.3.4

* Sat Oct 10 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-5
- Updated templates to reflect Nag 2.3.3

* Wed Jun 17 2009 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-4
- Updated templates to reflect Nag 2.3.2

* Tue Sep 30 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-3
- Patch to add forgotten changes from nag upgrade sql script

* Mon Sep 29 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-2
- Updated templates to reflect Nag 2.3

* Tue Jun 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 2.2-1    
- Initial production build
- Jump in package name to reflect new version of Nag 2.2

* Sat May 24 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.2-1
- Updated to include changes in Nag 2.2 RC3
- Re-rolled tarball 

* Sun Apr 6 2008 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Initial build
- Jump in package name to reflect new version of Nag

%description
This package adds necessary templates and configuration items
so that Nag will work properly on SME Server

%prep
%setup


%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
